Subject: [netmod] YANG and TimeFilter

From: Scott Mansfield <[email-masked]>
Date: Tue, 7 May 2019 18:37:43 +0000

Hello Netmod,

I'm looking at using a feature like the TimeFilter textual convention
(RFC2021 -> RFC 4502) found for RMON2 MIB in a NETCONF/YANG context.  I
searched the YangCatalog for such a thing and didn't find anything like
TimeFilter.  Has there been any work related to this type of filter?  I am
working on a YANG module that would like to return a subset of remote system
data filtered by time.

Any thoughts?  Apologies if this has been asked before. I did look through
the netmod list archive and grepped the modules here
(https://github.com/YangModels/yang/tree/master/experimental/ietf-extracted-
YANG-modules) and here
(https://github.com/YangModels/yang/tree/master/standard/ietf/RFC).

Thanks,

-scott.